# AmazonCreateElastiCacheSnapshotsParameters Object

## Description

Parameters for the Amazon Create ElastiCache Snapshots action.

## Properties

### clusterIdentificationMethod

Method to use to identify the clusters.

Type: `string`

Valid Values:

* `all-clusters`
* `by-cluster-id`

Required: Yes

### clusterIdComparson

Comparison to use when comparing cluster IDs. Required when `clusterIdentificationMethod` is `by-cluster-id`.

Type: [ElastiCacheClusterIdComparison](/data-types/elasticacheclusteridcomparison-object.md) object

Required: Conditional

### credentialIds

Registered credentials to use with the action. One and only one credential must be specified.

Type: Array of `string`

Required: Yes

### regionNames

Regions to use with the action. One and only one region must be specified.

Type: Array of `string`

Required: Yes

### snapshotId

Snapshot ID for the new snapshots.

Type: `string`

Required: Yes

## Sample JSON

```javascript
{
    "credentialIds": [
        "cred-00000001"
    ],
    "regionNames": [
        "us-east-1"
    ],
    
    "clusterIdentificationMethod": "all-clusters",

    "snapshotId": "$(CLUSTERID)-$(DATE)"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/actionparameters-object/amazoncreateelasticachesnapshotsparameters-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
